Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | List of all members
eZClusterEventListener Interface Reference

## Public Member Functions
| initialize ()
| loadMetadata ( $filepath)
| storeMetadata (array $metadata)
| fileExists ( $filepath)
| deleteFile ( $filepath)
| deleteByLike ( $like)
| deleteByWildcard ( $wildcard)
| deleteByDirList (array $dirList, $commonPath, $commonSuffix)
| deleteByNametrunk ( $nametrunk)

## Detailed Description

File containing the eZClusterEventListener class

Copyright
  Copyright (C) eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributed with this source code.

Version
  //autogentag// Interface to be implemented by any cluster event listener

Definition at line 14 of file ezclustereventlistener.php.

## Member Function Documentation

## ◆ deleteByDirList()

eZClusterEventListener::deleteByDirList | ( | array | $dirList,
|  |  | $commonPath,
|  |  | $commonSuffix
| ) |  |

Notifies of a deleteByDirList operation

Parameters

  array | $dirList |
  string | $commonPath |
  string | $commonSuffix |

Returns
  void

## ◆ deleteByLike()

eZClusterEventListener::deleteByLike | ( |  | $like | ) |

Notifies of a deleteByLike operation

Parameters

  string | $like |

Returns
  void

## ◆ deleteByNametrunk()

eZClusterEventListener::deleteByNametrunk | ( |  | $nametrunk | ) |

Deletes all files matching the provided $nametrunk string

Parameters

  string | $nametrunk |

Returns
  void

## ◆ deleteByWildcard()

eZClusterEventListener::deleteByWildcard | ( |  | $wildcard | ) |

Notifies of a deleteByWildcard operation

Parameters

  string | $wildcard |

Returns
  void

## ◆ deleteFile()

eZClusterEventListener::deleteFile | ( |  | $filepath | ) |

Deletes $filepath

Parameters

  string | $filepath |

Returns
  void

## ◆ fileExists()

eZClusterEventListener::fileExists | ( |  | $filepath | ) |

Checks if a file exists on the cluster. If file does exist, this method must return an array (numeric indexes) containing following data:

- name
- mtime

`return array( 'filename.txt', 1329921039 );`

Returns false if file doesn't exist

Parameters

  string | $filepath |

Returns
  array|false

## ◆ initialize()

eZClusterEventListener::initialize | ( |  | ) |

Initializes the listener. Here you may sets various options depending on your needs.

Returns
  void

## ◆ loadMetadata()

eZClusterEventListener::loadMetadata | ( |  | $filepath | ) |

Returns metadata array for $filepath, as supported by cluster. This array must have following keys :

- name
- name_trunk (name trunk for the entry, if none, equals to "name")
- name_hash (md5 hash of "name")
- scope
- datatype
- mtime (integer)
- expired (integer, 0/1)

If no metadata is available, this method must return false

Parameters

  string | $filepath |

Returns
  array|false

## ◆ storeMetadata()

eZClusterEventListener::storeMetadata | ( | array | $metadata | ) |

Updates a file's metadata

Parameters

  array | $metadata | Same array as eZClusterEventListener::loadMetadata()

Returns
  void

The documentation for this interface was generated from the following file:

- ezclustereventlistener.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.